<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [TIX](./bitburner.tix.md) &gt; [getPrice](./bitburner.tix.getprice.md)

## TIX.getPrice() method

Returns the price of a stock.

**Signature:**

```typescript
getPrice(sym: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sym | string | Stock symbol. |

**Returns:**

number

The price of a stock.

## Remarks

RAM cost: 2 GB

The stock’s price is the average of its bid and ask prices. This function requires that you have the following:

1. WSE Account

1. TIX API Access

## Example


```js
const fourSigmaStockPrice = ns.stock.getPrice("FSIG");

// Choose the first stock symbol from the array of stock symbols.  Get the price
// of the corresponding stock.
const sym = ns.stock.getSymbols()[0];
ns.tprint("Stock symbol: " + sym);
ns.tprint("Stock price: " + ns.stock.getPrice(sym));
```

